[package]
name = "compiler"
version = "0.1.0"
edition = "2024"

[dependencies]
clap = { version = "4.6.1", features = ["derive"] }
codespan-reporting = "0.13.1"
num = "0.4.3"
petgraph = "0.8.3"
regex = "1.12.3"
strum = { version = "0.28.0", features = ["derive"] }
thiserror = "2.0.18"
